Subject: rm circular reference problem
From: [email-masked] (Fabio Somenzi)

25 Jan 1997 00:25:21 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <c=US%a=_%p=OrCAD%l=[email-masked]>
Reply-To: [email-masked]
Original-To: Ron Forrester <[email-masked]>
Original-Cc: "'GNU-Win32'" <[email-masked]>
In-Reply-To: <c=US%a=_%p=OrCAD%l=[email-masked]>
Original-Sender: [email-masked]

>>>>> "RF" == Ron Forrester <[email-masked]> writes:

 RF> I am using b17.1. I still have problems with rm -rf saying that
 RF> there is a circular reference (and that my disk is almost
 RF> certainly corrupt :) when removing entire trees.

 RF> Is this still a known problem (saw nothing in the mailing list
 RF> archives...  Is there a workaround?

I've had this problem occasionally. Removing selected files would get
rid of the error message. Then one day I ran the disk scan program that
comes with Win95. It reported some errors and apparently fixed them.

Since then I haven't experienced the problem again, though I must add that
since then I have used rm -rf only a handful of times.

Fabio

-- 
Fabio Somenzi          | Phone: 303-492-3466
University of Colorado | Fax:   303-492-2758
ECE Dept.              | Email: [email-masked]
Boulder CO 80309-0425  | WWW:   http://vlsi.colorado.edu/~fabio
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".